1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.3 
5# Copyright (C) 1992, 1993, 1994 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36
37# Initialize some other variables.
38subdirs=
39
40ac_prev=
41for ac_option
42do
43
44  # If the previous option needs an argument, assign it.
45  if test -n "$ac_prev"; then
46    eval "$ac_prev=\$ac_option"
47    ac_prev=
48    continue
49  fi
50
51  case "$ac_option" in
52  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
53  *) ac_optarg= ;;
54  esac
55
56  # Accept the important Cygnus configure options, so we can diagnose typos.
57
58  case "$ac_option" in
59
60  -build | --build | --buil | --bui | --bu | --b)
61    ac_prev=build ;;
62  -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
63    build="$ac_optarg" ;;
64
65  -cache-file | --cache-file | --cache-fil | --cache-fi \
66  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
67    ac_prev=cache_file ;;
68  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
69  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
70    cache_file="$ac_optarg" ;;
71
72  -disable-* | --disable-*)
73    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
74    # Reject names that are not valid shell variable names.
75    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
76      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
77    fi
78    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
79    eval "enable_${ac_feature}=no" ;;
80
81  -enable-* | --enable-*)
82    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
83    # Reject names that are not valid shell variable names.
84    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
85      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
86    fi
87    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
88    case "$ac_option" in
89      *=*) ;;
90      *) ac_optarg=yes ;;
91    esac
92    eval "enable_${ac_feature}='$ac_optarg'" ;;
93
94  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
95  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
96  | --exec | --exe | --ex)
97    ac_prev=exec_prefix ;;
98  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
99  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
100  | --exec=* | --exe=* | --ex=*)
101    exec_prefix="$ac_optarg" ;;
102
103  -gas | --gas | --ga | --g)
104    # Obsolete; use --with-gas.
105    with_gas=yes ;;
106
107  -help | --help | --hel | --he)
108    # Omit some internal or obsolete options to make the list less imposing.
109    # This message is too long to be a string in the A/UX 3.1 sh.
110    cat << EOF
111Usage: configure [options] [host]
112Options: [defaults in brackets after descriptions]
113Configuration:
114  --cache-file=FILE       cache test results in FILE
115  --help                  print this message
116  --no-create             do not create output files
117  --quiet, --silent       do not print \`checking...' messages
118  --version               print the version of autoconf that created configure
119Directory and file names:
120  --prefix=PREFIX         install architecture-independent files in PREFIX
121                          [$ac_default_prefix]
122  --exec-prefix=PREFIX    install architecture-dependent files in PREFIX
123                          [same as prefix]
124  --srcdir=DIR            find the sources in DIR [configure dir or ..]
125  --program-prefix=PREFIX prepend PREFIX to installed program names
126  --program-suffix=SUFFIX append SUFFIX to installed program names
127  --program-transform-name=PROGRAM run sed PROGRAM on installed program names
128Host type:
129  --build=BUILD           configure for building on BUILD [BUILD=HOST]
130  --host=HOST             configure for HOST [guessed]
131  --target=TARGET         configure for TARGET [TARGET=HOST]
132Features and packages:
133  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
134  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
135  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
136  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
137  --x-includes=DIR        X include files are in DIR
138  --x-libraries=DIR       X library files are in DIR
139--enable and --with options recognized:$ac_help
140EOF
141    exit 0 ;;
142
143  -host | --host | --hos | --ho)
144    ac_prev=host ;;
145  -host=* | --host=* | --hos=* | --ho=*)
146    host="$ac_optarg" ;;
147
148  -nfp | --nfp | --nf)
149    # Obsolete; use --without-fp.
150    with_fp=no ;;
151
152  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
153  | --no-cr | --no-c)
154    no_create=yes ;;
155
156  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
157  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
158    no_recursion=yes ;;
159
160  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
161    ac_prev=prefix ;;
162  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
163    prefix="$ac_optarg" ;;
164
165  -program-prefix | --program-prefix | --program-prefi | --program-pref \
166  | --program-pre | --program-pr | --program-p)
167    ac_prev=program_prefix ;;
168  -program-prefix=* | --program-prefix=* | --program-prefi=* \
169  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
170    program_prefix="$ac_optarg" ;;
171
172  -program-suffix | --program-suffix | --program-suffi | --program-suff \
173  | --program-suf | --program-su | --program-s)
174    ac_prev=program_suffix ;;
175  -program-suffix=* | --program-suffix=* | --program-suffi=* \
176  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
177    program_suffix="$ac_optarg" ;;
178
179  -program-transform-name | --program-transform-name \
180  | --program-transform-nam | --program-transform-na \
181  | --program-transform-n | --program-transform- \
182  | --program-transform | --program-transfor \
183  | --program-transfo | --program-transf \
184  | --program-trans | --program-tran \
185  | --progr-tra | --program-tr | --program-t)
186    ac_prev=program_transform_name ;;
187  -program-transform-name=* | --program-transform-name=* \
188  | --program-transform-nam=* | --program-transform-na=* \
189  | --program-transform-n=* | --program-transform-=* \
190  | --program-transform=* | --program-transfor=* \
191  | --program-transfo=* | --program-transf=* \
192  | --program-trans=* | --program-tran=* \
193  | --progr-tra=* | --program-tr=* | --program-t=*)
194    program_transform_name="$ac_optarg" ;;
195
196  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
197  | -silent | --silent | --silen | --sile | --sil)
198    silent=yes ;;
199
200  -site | --site | --sit)
201    ac_prev=site ;;
202  -site=* | --site=* | --sit=*)
203    site="$ac_optarg" ;;
204
205  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
206    ac_prev=srcdir ;;
207  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
208    srcdir="$ac_optarg" ;;
209
210  -target | --target | --targe | --targ | --tar | --ta | --t)
211    ac_prev=target ;;
212  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
213    target="$ac_optarg" ;;
214
215  -v | -verbose | --verbose | --verbos | --verbo | --verb)
216    verbose=yes ;;
217
218  -version | --version | --versio | --versi | --vers)
219    echo "configure generated by autoconf version 2.3"
220    exit 0 ;;
221
222  -with-* | --with-*)
223    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
224    # Reject names that are not valid shell variable names.
225    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
226      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
227    fi
228    ac_package=`echo $ac_package| sed 's/-/_/g'`
229    case "$ac_option" in
230      *=*) ;;
231      *) ac_optarg=yes ;;
232    esac
233    eval "with_${ac_package}='$ac_optarg'" ;;
234
235  -without-* | --without-*)
236    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
237    # Reject names that are not valid shell variable names.
238    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
239      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
240    fi
241    ac_package=`echo $ac_package| sed 's/-/_/g'`
242    eval "with_${ac_package}=no" ;;
243
244  --x)
245    # Obsolete; use --with-x.
246    with_x=yes ;;
247
248  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
249  | --x-incl | --x-inc | --x-in | --x-i)
250    ac_prev=x_includes ;;
251  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
252  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
253    x_includes="$ac_optarg" ;;
254
255  -x-libraries | --x-libraries | --x-librarie | --x-librari \
256  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
257    ac_prev=x_libraries ;;
258  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
259  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
260    x_libraries="$ac_optarg" ;;
261
262  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
263    ;;
264
265  *) 
266    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
267      echo "configure: warning: $ac_option: invalid host type" 1>&2
268    fi
269    if test "x$nonopt" != xNONE; then
270      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
271    fi
272    nonopt="$ac_option"
273    ;;
274
275  esac
276done
277
278if test -n "$ac_prev"; then
279  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
280fi
281
282trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
283
284# File descriptor usage:
285# 0 standard input
286# 1 file creation
287# 2 errors and warnings
288# 3 some systems may open it to /dev/tty
289# 4 used on the Kubota Titan
290# 6 checking for... messages and results
291# 5 compiler messages saved in config.log
292if test "$silent" = yes; then
293  exec 6>/dev/null
294else
295  exec 6>&1
296fi
297exec 5>./config.log
298
299echo "\
300This file contains any messages produced by compilers while
301running configure, to aid debugging if configure makes a mistake.
302" 1>&5
303
304# Strip out --no-create and --no-recursion so they do not pile up.
305# Also quote any args containing shell metacharacters.
306ac_configure_args=
307for ac_arg
308do
309  case "$ac_arg" in
310  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
311  | --no-cr | --no-c) ;;
312  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
313  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
314  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
315  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
316  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
317  esac
318done
319
320# NLS nuisances.
321# Only set LANG and LC_ALL to C if already set.
322# These must not be set unconditionally because not all systems understand
323# e.g. LANG=C (notably SCO).
324if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
325if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
326
327# confdefs.h avoids OS command line length limits that DEFS can exceed.
328rm -rf conftest* confdefs.h
329# AIX cpp loses on an empty file, so make sure it contains at least a newline.
330echo > confdefs.h
331
332# A filename unique to this package, relative to the directory that
333# configure is in, which we can look for to find out if srcdir is correct.
334ac_unique_file=send-pr.sh
335
336# Find the source files, if location was not specified.
337if test -z "$srcdir"; then
338  ac_srcdir_defaulted=yes
339  # Try the directory containing this script, then its parent.
340  ac_prog=$0
341  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
342  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
343  srcdir=$ac_confdir
344  if test ! -r $srcdir/$ac_unique_file; then
345    srcdir=..
346  fi
347else
348  ac_srcdir_defaulted=no
349fi
350if test ! -r $srcdir/$ac_unique_file; then
351  if test "$ac_srcdir_defaulted" = yes; then
352    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
353  else
354    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
355  fi
356fi
357srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
358
359# Prefer explicitly selected file to automatically selected ones.
360if test -z "$CONFIG_SITE"; then
361  if test "x$prefix" != xNONE; then
362    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
363  else
364    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
365  fi
366fi
367for ac_site_file in $CONFIG_SITE; do
368  if test -r "$ac_site_file"; then
369    echo "loading site script $ac_site_file"
370    . "$ac_site_file"
371  fi
372done
373
374if test -r "$cache_file"; then
375  echo "loading cache $cache_file"
376  . $cache_file
377else
378  echo "creating cache $cache_file"
379  > $cache_file
380fi
381
382ac_ext=c
383# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
384ac_cpp='$CPP $CPPFLAGS'
385ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5 2>&5'
386ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5 2>&5'
387
388if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
389  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
390  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
391    ac_n= ac_c='
392' ac_t='	'
393  else
394    ac_n=-n ac_c= ac_t=
395  fi
396else
397  ac_n= ac_c='\c' ac_t=
398fi
399
400
401
402
403echo checking for echo -n
404if test "`echo -n foo`" = foo ; then
405  ECHON=bsd
406  test -n "$verbose" && echo '	using echo -n'
407elif test "`echo 'foo\c'`" = foo ; then
408  ECHON=sysv
409  test -n "$verbose" && echo '	using echo ...\\c'
410else
411  ECHON=none
412  test -n "$verbose" && echo '	using plain echo'
413fi
414echo $ac_n "checking checking for Emacs Lisp files""... $ac_c" 1>&6
415if test -n "$with_lispdir"; then
416  LISPDIR=${with_lispdir}
417else
418  for f in ${prefix-/usr/local}/lib/emacs/site-lisp \
419	   ${prefix-/usr/local}/lib/emacs/lisp; do
420    if test -d $f; then
421      if test -n "$prefix"; then
422	LISPDIR=`echo $f | sed "s,^$prefix,"'$(prefix),'`
423      else
424	LISPDIR=$f
425      fi
426      break
427    fi
428  done
429fi
430if test -z "$LISPDIR"; then
431  LISPDIR='$(prefix)/lib/emacs/lisp'
432fi
433echo "$ac_t""${LISPDIR}" 1>&6
434
435echo checking how to access passwd database
436PASSWD="cat /etc/passwd"
437if test -f /bin/domainname && test -n "`/bin/domainname`"; then
438  if test -f /usr/bin/niscat && 
439     /usr/bin/niscat passwd.org_dir > /dev/null 2>&1; then
440    PASSWD="/usr/bin/niscat passwd.org_dir"
441  elif test -f /usr/bin/ypcat && /usr/bin/ypcat passwd > /dev/null 2>&1; then
442    PASSWD="/usr/bin/ypcat passwd"
443  fi
444fi
445test -n "$verbose" && echo "	setting PASSWD to ${PASSWD}"
446
447
448if test -z "${GNATS_SITE}"; then
449   GNATS_SITE=cygnus
450fi
451SUBMITTER=unknown
452if test -z "${GNATS_ADDR}"; then
453   GNATS_ADDR=bugs@cygnus.com
454fi
455DEFAULT_ORGANIZATION=
456
457if test x/usr/lib:/usr/sbin:/usr/ucblib = x; then _PATH=$PATH; else _PATH=/usr/lib:/usr/sbin:/usr/ucblib; fi
458if test -z "$SENDMAIL"; then
459  # Extract the first word of `sendmail', so it can be a program name with args.
460  set dummy sendmail; word=$2
461  echo checking for $word
462  IFS="${IFS= 	}"; saveifs="$IFS"; IFS="${IFS}:"
463  for dir in $_PATH; do
464    test -z "$dir" && dir=.
465    if test -f $dir/$word; then
466      SENDMAIL=$dir/$word
467      break
468    fi
469  done
470  IFS="$saveifs"
471fi
472test -n "$SENDMAIL" && test -n "$verbose" && echo "	setting SENDMAIL to $SENDMAIL"
473
474if test -n "$SENDMAIL" ; then
475	MAIL_AGENT="$SENDMAIL -oi -t"
476else
477	MAIL_AGENT=false
478fi
479
480if test -f ${srcdir}/../release-info ; then
481	DEFAULT_RELEASE=`. ${srcdir}/../release-info ; echo ${RELEASE_TAG}`
482else
483	DEFAULT_RELEASE='gnats-$(VERSION)'
484fi
485
486# Get GNATS_ROOT from environment, if possible
487
488if test -n "$with_gnats_root"; then
489	GNATS_ROOT=$with_gnats_root
490fi
491
492if test -z "${GNATS_ROOT}"; then
493	GNATS_ROOT=${prefix-/usr/local}/lib/gnats/gnats-root
494	_PR=${GNATS_ROOT}
495fi
496
497if test x = x; then _PATH=$PATH; else _PATH=; fi
498if test -z "$SEND_PR"; then
499  # Extract the first word of `send-pr', so it can be a program name with args.
500  set dummy send-pr; word=$2
501  echo checking for $word
502  IFS="${IFS= 	}"; saveifs="$IFS"; IFS="${IFS}:"
503  for dir in $_PATH; do
504    test -z "$dir" && dir=.
505    if test -f $dir/$word; then
506      SEND_PR=$dir/$word
507      break
508    fi
509  done
510  IFS="$saveifs"
511fi
512test -n "$SEND_PR" && test -n "$verbose" && echo "	setting SEND_PR to $SEND_PR"
513
514if test -n "${SEND_PR}"; then
515	test -n "${_PR}" && eval `grep '^GNATS_ROOT=' ${SEND_PR}`
516	eval `grep '^SUBMITTER=' ${SEND_PR}`
517	eval `egrep '^GNATS_(ADDR|SITE)=' ${SEND_PR}`
518	eval `egrep '^DEFAULT_ORGANIZATION=' ${SEND_PR}`
519fi
520
521# If the config file exists, it may have more recent info than send-pr
522echo checking for GNATS configuration file
523test -f ${GNATS_ROOT}/gnats-adm/config && . ${GNATS_ROOT}/gnats-adm/config
524
525if test -n "${_PR}" -a "${GNATS_ROOT}" = "${_PR}"; then
526	GNATS_ROOT=
527fi
528
529if test -n "$verbose"; then
530	echo "	setting GNATS_ROOT to $GNATS_ROOT"
531	echo "	setting GNATS_SITE to $GNATS_SITE"
532	echo "	setting GNATS_ADDR to $GNATS_ADDR"
533	echo "	setting SUBMITTER to $SUBMITTER"
534	echo "	setting DEFAULT_RELEASE to $DEFAULT_RELEASE"
535	echo "	setting DEFAULT_ORGANIZATION to $DEFAULT_ORGANIZATION"
536	echo "	setting MAIL_AGENT to $MAIL_AGENT"
537fi
538
539trap '' 1 2 15
540cat > confcache <<\EOF
541# This file is a shell script that caches the results of configure
542# tests run on this system so they can be shared between configure
543# scripts and configure runs.  It is not useful on other systems.
544# If it contains results you don't want to keep, you may remove or edit it.
545#
546# By default, configure uses ./config.cache as the cache file,
547# creating it if it does not exist already.  You can give configure
548# the --cache-file=FILE option to use a different cache file; that is
549# what configure does when it calls configure scripts in
550# subdirectories, so they share the cache.
551# Giving --cache-file=/dev/null disables caching, for debugging configure.
552# config.status only pays attention to the cache file if you give it the
553# --recheck option to rerun configure.
554#
555EOF
556# Ultrix sh set writes to stderr and can't be redirected directly,
557# and sets the high bit in the cache file unless we assign to the vars.
558(set) 2>&1 |
559  sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=\${\1='\2'}/p" \
560  >> confcache
561if cmp -s $cache_file confcache; then
562  :
563else
564  if test -w $cache_file; then
565    echo "updating cache $cache_file"
566    cat confcache > $cache_file
567  else
568    echo "not updating unwritable cache $cache_file"
569  fi
570fi
571rm -f confcache
572
573trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
574
575test "x$prefix" = xNONE && prefix=$ac_default_prefix
576# Let make expand exec_prefix.
577test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
578
579# Any assignment to VPATH causes Sun make to only execute
580# the first set of double-colon rules, so remove it if not needed.
581# If there is a colon in the path, we need to keep it.
582if test "x$srcdir" = x.; then
583  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
584fi
585
586trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
587
588# Transform confdefs.h into DEFS.
589# Protect against shell expansion while executing Makefile rules.
590# Protect against Makefile macro expansion.
591cat > conftest.defs <<\EOF
592s%#define \([A-Za-z_][A-Za-z0-9_]*\) \(.*\)%-D\1=\2%g
593s%[ 	`~#$^&*(){}\\|;'"<>?]%\\&%g
594s%\[%\\&%g
595s%\]%\\&%g
596s%\$%$$%g
597EOF
598DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
599rm -f conftest.defs
600
601
602# Without the "./", some shells look in PATH for config.status.
603: ${CONFIG_STATUS=./config.status}
604
605echo creating $CONFIG_STATUS
606rm -f $CONFIG_STATUS
607cat > $CONFIG_STATUS <<EOF
608#! /bin/sh
609# Generated automatically by configure.
610# Run this file to recreate the current configuration.
611# This directory was configured as follows,
612# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
613#
614# $0 $ac_configure_args
615#
616# Compiler output produced by configure, useful for debugging
617# configure, is in ./config.log if it exists.
618
619ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
620for ac_option
621do
622  case "\$ac_option" in
623  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
624    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
625    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
626  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
627    echo "$CONFIG_STATUS generated by autoconf version 2.3"
628    exit 0 ;;
629  -help | --help | --hel | --he | --h)
630    echo "\$ac_cs_usage"; exit 0 ;;
631  *) echo "\$ac_cs_usage"; exit 1 ;;
632  esac
633done
634
635ac_given_srcdir=$srcdir
636
637trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
638
639# Protect against being on the right side of a sed subst in config.status. 
640sed 's/%@/@@/; s/@%/@@/; s/%g$/@g/; /@g$/s/[\\\\&%]/\\\\&/g; 
641 s/@@/%@/; s/@@/@%/; s/@g$/%g/' > conftest.subs <<\CEOF
642$ac_vpsub
643$extrasub
644s%@CFLAGS@%$CFLAGS%g
645s%@CPPFLAGS@%$CPPFLAGS%g
646s%@CXXFLAGS@%$CXXFLAGS%g
647s%@DEFS@%$DEFS%g
648s%@LDFLAGS@%$LDFLAGS%g
649s%@LIBS@%$LIBS%g
650s%@exec_prefix@%$exec_prefix%g
651s%@prefix@%$prefix%g
652s%@program_transform_name@%$program_transform_name%g
653s%@GNATS_ROOT@%$GNATS_ROOT%g
654s%@GNATS_ADDR@%$GNATS_ADDR%g
655s%@GNATS_SITE@%$GNATS_SITE%g
656s%@DEFAULT_RELEASE@%$DEFAULT_RELEASE%g
657s%@DEFAULT_ORGANIZATION@%$DEFAULT_ORGANIZATION%g
658s%@MAIL_AGENT@%$MAIL_AGENT%g
659s%@SUBMITTER@%$SUBMITTER%g
660s%@ECHON@%$ECHON%g
661s%@LISPDIR@%$LISPDIR%g
662s%@PASSWD@%$PASSWD%g
663s%@SENDMAIL@%$SENDMAIL%g
664s%@SEND_PR@%$SEND_PR%g
665
666CEOF
667EOF
668cat >> $CONFIG_STATUS <<EOF
669
670CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
671EOF
672cat >> $CONFIG_STATUS <<\EOF
673for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
674  # Support "outfile[:infile]", defaulting infile="outfile.in".
675  case "$ac_file" in
676  *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
677       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
678  *) ac_file_in="${ac_file}.in" ;;
679  esac
680
681  # Adjust relative srcdir, etc. for subdirectories.
682
683  # Remove last slash and all that follows it.  Not all systems have dirname.
684  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
685  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
686    # The file is in a subdirectory.
687    test ! -d "$ac_dir" && mkdir "$ac_dir"
688    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
689    # A "../" for each directory in $ac_dir_suffix.
690    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
691  else
692    ac_dir_suffix= ac_dots=
693  fi
694
695  case "$ac_given_srcdir" in
696  .)  srcdir=.
697      if test -z "$ac_dots"; then top_srcdir=.
698      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
699  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
700  *) # Relative path.
701    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
702    top_srcdir="$ac_dots$ac_given_srcdir" ;;
703  esac
704
705  echo creating "$ac_file"
706  rm -f "$ac_file"
707  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
708  case "$ac_file" in
709  *Makefile*) ac_comsub="1i\\
710# $configure_input" ;;
711  *) ac_comsub= ;;
712  esac
713  sed -e "$ac_comsub
714s%@configure_input@%$configure_input%g
715s%@srcdir@%$srcdir%g
716s%@top_srcdir@%$top_srcdir%g
717" -f conftest.subs $ac_given_srcdir/$ac_file_in > $ac_file
718fi; done
719rm -f conftest.subs
720
721
722
723exit 0
724EOF
725chmod +x $CONFIG_STATUS
726rm -fr confdefs* $ac_clean_files
727test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
728
729